Skip to main content
POST
/
api
/
v1
/
investor-portfolios
/
{portfolioId}
/
relationships
cURL
curl -sS -X POST "$FLUIDE_BASE_URL/api/v1/investor-portfolios/string/relationships" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "success": true,
  "message": "Operation completed successfully",
  "data": {}
}

Path Parameters

portfolioId
string
required

portfolioId identifier

Body

application/json
businessOrganizationId
string<uuid>
required

Business organization id (kind = BUSINESS).

businessCompanyId
string<uuid>

Optional company id under the business.

instrumentType
enum<string>
Available options:
EQUITY,
DEBT,
SAFE,
CONVERTIBLE,
GRANT,
REVENUE_BASED
inviteMessage
string
Maximum string length: 1000
scopeFacs
boolean
scopeOperations
boolean
scopeFinancials
boolean
scopeDataRoom
boolean

Response

Invite — created

success
boolean
required

Whether the request succeeded

Example:

true

message
string
required

Human-readable outcome message (localized when i18n is configured)

Example:

"Operation completed successfully"

data
object

Endpoint-specific payload